Subject: Re: Gitk feature - show nearby tags

From: Jonas Fonseca <[email-masked]>
Date: Mon, 5 Jun 2006 02:04:23 +0200

Junio C Hamano <[email-masked]> wrote Sun, Jun 04, 2006:
> 
> I may not be using tig in the way it was intended to, but I
> often find it frustrating having to do the following:
> 
>     - start tig, which shows list of one-line logs.  Wonderful.
> 
>     - browsing around by UP or DOWN and stop at one particular commit
>       I want to view closely.  Press Enter and the screen split
>       into two and I see what I want to see.  Again, wonderful.
> 
>     - I want to see the neighbouring commits, but UP or DOWN
>       does not do what I naïvely expect.  It scrolls the lower
>       pane.  I say TAB to go up.

I wonder what tig version you are using. If you are using the tig
version from my git repo this should also be working to your
expectation, making ...

>     - Press UP or DOWN and I can move the highlight to
>       neighbouring commits.  This is wonderful, but the lower
>       pane does not follow this -- it keeps showing the original
>       commit, and I have to say ENTER again.

.. this unnecessary. At least, I'd like to keep the one-line log view
from forcing updates of the diff view so it is more responsive over slow
links.

> It might make sense to make the log/diff view follow what
> happens on the main view when both are on-screen.

With my current version, the two views are much more integrated, e.g.
you can press 'd' to show full-screen diff view and use Up and Down to
navigate the log view.

-- 
Jonas Fonseca